Decode token info
Deprecated
POST
/v1/auth/info
const url = 'https://api.neuramancer.dev/v1/auth/info';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.neuramancer.dev/v1/auth/info \ --header 'Authorization: Bearer <token>'Decodes the authenticated user’s JWT token and returns its claims. Requires BearerAuth via middleware.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Token decoded successfully
Media typeapplication/json
object
success
boolean
data
Decoded JWT token claims. Properties vary based on the token type and Firebase configuration.
object
uid
Firebase user ID
string
email
User’s email address
string
key
additional properties
any
Example
{ "success": true}Invalid or missing token
Media typeapplication/json
Standardized error response following the APIResponse
object
success
required
boolean
message
required
string
Example
{ "success": false, "message": "Bad request"}